Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.jcr
Class NoSuchWorkspaceException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.jcr.RepositoryException
javax.jcr.NoSuchWorkspaceException`

All Implemented Interfaces:
  java.io.Serializable

      public class NoSuchWorkspaceException

extends RepositoryException

Exception thrown by ``Repository.login(Credentials, String)`` when a specific workspace is not found.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.jcr.RepositoryException
`rootCause`

Constructor Summary
`NoSuchWorkspaceException()` Constructs a new instance of this class with `null` as its detail message.
`NoSuchWorkspaceException(java.lang.String message)` Constructs a new instance of this class with the specified detail message.
`NoSuchWorkspaceException(java.lang.String message, java.lang.Throwable rootCause)` Constructs a new instance of this class with the specified detail message and root cause.
`NoSuchWorkspaceException(java.lang.Throwable rootCause)` Constructs a new instance of this class with the specified root cause.

Method Summary

Methods inherited from class javax.jcr.RepositoryException
`getCause, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchWorkspaceException

    public NoSuchWorkspaceException()

  Constructs a new instance of this class with `null` as its detail message.

### NoSuchWorkspaceException

    public NoSuchWorkspaceException(java.lang.String message)

  Constructs a new instance of this class with the specified detail message.
  Parameters:
    `message` - the detail message. The detail message is saved for later retrieval by the `RepositoryException.getMessage()` method.

### NoSuchWorkspaceException

    public NoSuchWorkspaceException(java.lang.String message,
                                    java.lang.Throwable rootCause)

  Constructs a new instance of this class with the specified detail message and root cause.
  Parameters:
    `message` - the detail message. The detail message is saved for later retrieval by the `RepositoryException.getMessage()` method.
    `rootCause` - root failure cause

### NoSuchWorkspaceException

    public NoSuchWorkspaceException(java.lang.Throwable rootCause)

  Constructs a new instance of this class with the specified root cause.
  Parameters:
    `rootCause` - root failure cause

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.